<?php if (get_theme_mod('featured-content-on', 'true') == true ) { ?>

<?php
// check Visibility

// make sure Deals plugin is activated
if ( ! is_happy_coupons_activated() )
	return;

$featured_coupons_num = get_theme_mod('featured-coupons-num', '3');
// Posts query arguments.
$args = array(
'post_type'      => 'coupon',
'posts_per_page' => $featured_coupons_num,
'meta_query'     => array(
    array(
        'key'   => 'happycoupons_featured_coupon',
        'value' => 'true'
    	)
	)				
);

// Allow dev to filter the post arguments.
$args = apply_filters( 'keyword_featured_deals_args', $args );

// The post query.
$featured = new WP_Query( $args );

if ( $featured->have_posts() ) : $i = 1;
?>

<div id="featured-coupons" class="<?php if( get_theme_mod('featured-coupons-position', 'choice-1') == 'choice-1' ) { echo 'coupon-before-post'; } ?>">

	<div class="section-header">
		<h3><span><?php echo get_theme_mod('featured-coupons-heading', 'Featured Deals'); ?></span></h3>
	</div>

	<div class="featured-coupons clear">

		<div class="featured-coupon-loop coupon-loop clear">

			<?php while ( $featured->have_posts() ) : $featured->the_post(); ?>

				<?php $class = ( $featured->current_post + 1 === $featured->post_count ) ? 'last' : ''; ?>

				<article id="coupon-<?php the_ID(); ?>" <?php post_class( $class ); ?>>
					<?php
						if ( has_post_thumbnail() && ( get_the_post_thumbnail() != null ) ) : ?>
						<a class="thumbnail-link" href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a>
					<?php endif; ?>

					<?php

						the_title( sprintf( '<h2 class="entry-title" ' . '><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
					?>

					<div class="entry-summary">
						<?php 
							$brief_desc = get_post_meta( get_the_ID(), 'happycoupons_brief_desc', true );
							echo $brief_desc;
						?>	
						<span class="coupon-more"><a href="<?php the_permalink(); ?>"><?php esc_html_e('View this coupon', 'keyword-pro'); ?></a></span>
					</div><!-- .entry-summary -->

				</article><!-- #coupon-<?php the_ID(); ?> -->

			<?php $i++; endwhile; ?>

			<div class="clear"></div>

		</div><!-- .coupon-loop -->

	</div><!-- .featured-coupons -->

	<div class="read-more">
		<a href="<?php echo esc_url( get_post_type_archive_link( 'coupon' ) ); ?>"><?php esc_html_e('More Deals', 'keyword-pro'); ?></a>
	</div><!-- .more-link -->

</div><!-- #featured-coupons -->

<?php endif; wp_reset_postdata(); ?>

<?php } ?>
